Index: BaseDataSourceTest.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/test/jdbc2/optional/BaseDataSourceTest.java,v
retrieving revision 1.4
diff -c -r1.4 BaseDataSourceTest.java
*** BaseDataSourceTest.java	2002/09/25 07:01:30	1.4
--- BaseDataSourceTest.java	2003/01/03 20:00:09
***************
*** 3,8 ****
--- 3,9 ----
  import junit.framework.TestCase;
  import org.postgresql.test.TestUtil;
  import org.postgresql.jdbc2.optional.BaseDataSource;
+ import org.postgresql.PGConnection;
  
  import java.sql.*;
  import java.util.*;
***************
*** 178,183 ****
--- 179,202 ----
  			fail(e.getMessage());
  		}
  	}
+ 
+     /**
+      * Test to make sure that PGConnection methods can be called on the
+      * pooled Connection.
+      */
+     public void testPGConnection()
+     {
+         try
+         {
+             con = getDataSourceConnection();
+             ((PGConnection)con).getEncoding().name();
+             con.close();
+         }
+         catch (Exception e)
+         {
+             fail("Unable to call PGConnection method on pooled connection due to "+e.getClass().getName()+" ("+e.getMessage()+")");
+         }
+     }
  
      /**
       * Uses the mini-JNDI implementation for testing purposes
